Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core.appender
Enum ConsoleAppender.Target

    java.lang.Object
      java.lang.Enum<ConsoleAppender.Target>
          org.apache.logging.log4j.core.appender.ConsoleAppender.Target

All Implemented Interfaces:
  Serializable, Comparable<ConsoleAppender.Target>

Enclosing class:
  ConsoleAppender

    public static enum ConsoleAppender.Target

extends Enum<ConsoleAppender.Target>

Enumeration of console destinations.

Enum Constant Summary
`SYSTEM_ERR` Standard error output.
`SYSTEM_OUT` Standard output.

Method Summary
`static ConsoleAppender.Target` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConsoleAppender.Target[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SYSTEM_OUT

    public static final ConsoleAppender.Target SYSTEM_OUT

  Standard output.

### SYSTEM_ERR

    public static final ConsoleAppender.Target SYSTEM_ERR

  Standard error output.

Method Detail

### values

    public static ConsoleAppender.Target[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConsoleAppender.Target c : ConsoleAppender.Target.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConsoleAppender.Target valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.